AbstractMVCGroupConfiguration (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractMVCGroupConfiguration

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractMVCGroupConfiguration

All Implemented Interfaces:
  MVCGroupConfiguration

    public abstract class AbstractMVCGroupConfiguration
    extends Object

Base implementation of the `MVCGroupConfiguration` interface

Authors:
  Andres Almiray

Since:
  0.9.4

Field Summary
`protected GriffonApplication` | `app`
`protected Map` | `config`
`protected Map` | `members`
`protected String` | `mvcType`

Constructor Summary
`AbstractMVCGroupConfiguration(GriffonApplication app, String mvcType, Map members, Map config)`

Method Summary
`MVCGroup` | `create()`
`MVCGroup` | `create(String mvcId)`
`MVCGroup` | `create(Map args)`
`MVCGroup` | `create(String mvcId, Map args)`
`GriffonApplication` | `getApp()`
`Map` | `getConfig()`
`Map` | `getMembers()`
`String` | `getMvcType()`
`protected MVCGroup` | `instantiateMVCGroup(String mvcId, Map args)`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### app

    protected final GriffonApplication app

### config

    protected final Map config

### members

    protected final Map members

### mvcType

    protected final String mvcType

Constructor Detail

### AbstractMVCGroupConfiguration

    public AbstractMVCGroupConfiguration(GriffonApplication app, String mvcType, Map members, Map config)

Method Detail

### create

    public final MVCGroup create()

### create

    public final MVCGroup create(String mvcId)

### create

    public final MVCGroup create(Map args)

### create

    public final MVCGroup create(String mvcId, Map args)

### getApp

    public final GriffonApplication getApp()

### getConfig

    public final Map getConfig()

### getMembers

    public final Map getMembers()

### getMvcType

    public final String getMvcType()

### instantiateMVCGroup

    protected MVCGroup instantiateMVCGroup(String mvcId, Map args)

### toString

    @Override
    public String toString()

Groovy Documentation